# NAME

woodpecker-netlify - Woodpecker plugin to deploy to Netlify

# SYNOPSIS

woodpecker-netlify

```
[--build-dir]=[value]
[--gitea-token]=[value]
[--gitea-url]=[value]
[--issue-comment]=[value]
[--netlify-auth-token]=[value]
[--netlify-side-id]=[value]
```

**Usage**:

```
woodpecker-netlify [GLOBAL OPTIONS] command [COMMAND OPTIONS] [ARGUMENTS...]
```

# GLOBAL OPTIONS

**--build-dir**="": Build Directory to Deploy

**--gitea-token**="": Gitea Token

**--gitea-url**="": Gitea URL

**--issue-comment**="": Issue Comment (default: 
Hi @${CI_COMMIT_AUTHOR}!

Thank you for creating a PR!

[I've deployed a preview of the changes here.](${FULL_PREVIEW_URL})

> Beep boop, I'm a bot. :robot:
)

**--netlify-auth-token**="": Netlify Auth Token

**--netlify-side-id**="": Netlify Site ID

