//go:build generate

package main

import "os"

//go:generate go run app.go docs.go
func main() {
	md, err := app().ToMarkdown()
	if err != nil {
		panic(err)
	}

	fi, err := os.Create("DOCS.md")
	if err != nil {
		panic(err)
	}
	defer fi.Close()

	if _, err := fi.WriteString(md); err != nil {
		panic(err)
	}
}
